﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/* It represents a request of a service/resource of a smart city */
public class Request {
	// The user agent that has requested the service
	public UserAgent userAgent;
	// The iteration in which the user did the request
	public int timeBegin;
	// The priority that the user asigned
	public float priority;
	// The normalized priority assined by the priority agent
	public int normPrior;
	// Iteration in which the request is finally attended by the manager agent 
	public int timeEnd;
	// Constructor assigning initial values that shows that these
	// have not been esternally assigned. All values are meant
	// to be assined to a given moment of the simulation
	public Request(){
		userAgent = null;
		timeBegin = -1;
		priority = -1;
		normPrior = -1;
		timeEnd = -1;
	}
	public override string ToString(){
		return "Request prior " + priority + ", norm " + normPrior + ", time " +
			timeBegin + "-" + timeEnd;
	}
}
